PropertyAccessException (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class PropertyAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.PropertyAccessException

All Implemented Interfaces:
  Serializable

    public class PropertyAccessException

extends HibernateException

A problem occurred accessing a property of an instance of a persistent class by reflection, or via CGLIB. There are a number of possible underlying causes, including

- failure of a security check
- an exception occurring inside the getter or setter method
- a nullable database column was mapped to a primitive-type property
- the Hibernate type was not castable to the property type (or vice-versa)

See Also:
  Serialized Form

Constructor Summary
`PropertyAccessException(Throwable root, String s, boolean wasSetter, Class persistentClass, String propertyName)`

Method Summary
`String` | `getMessage()`
`Class` | `getPersistentClass()`
`String` | `getPropertyName()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyAccessException

    public PropertyAccessException(Throwable root,
                                   String s,
                                   boolean wasSetter,
                                   Class persistentClass,
                                   String propertyName)

Method Detail

### getPersistentClass

    public Class getPersistentClass()

### getPropertyName

    public String getPropertyName()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.